<?php // $Id: returntoN.php,v 1.0 2007/03/27 Fumi.Iseki $

require_once("../../config.php");	
require_once("automaticlib.php");	

$courseid = required_param('course', PARAM_INT);  // Course id
$attsid	  = required_param('attsid', PARAM_INT);
$confirm  = optional_param('confirm','');
$submit   = optional_param('submit','');


if (!empty($submit) && $submit==get_string('cancel')) {
    redirect('updateSession.php?course='.$courseid.'&amp;attsid='.$attsid);
}
	
if (!$course = get_record('course', 'id', $courseid)) {
	error(get_string('courseidwrong','block_autoattend'));
}

require_login($course->id);

if (!isteacher($course->id)) {
	error(get_string('notaccessstudent','block_autoattend'));
}

if (!$att = get_record('autoattend_sessions', 'id', $attsid) ) {
	error(get_string('nosuchsession','block_autoattend'));
}


// Return to N
if (!empty($confirm) and $submit==get_string('toNok','block_autoattend')) {
	$rec->id	= $att->id;
	$rec->state = 'N';
	$result = update_record('autoattend_sessions', $rec);
	if ($result) {
		//autoattend_reset_session_user($course->id, $attsid);
    	$loginfo = "={$att->id},{$att->methd},{$att->method},{$att->state},N";
    	add_to_log($course->id, 'autoattend', 'submit session', 
					'updateSession.php?course='.$course->id.'&amp;attsid='.$att->id, $loginfo);
	}
	redirect('updateSession.php?course='.$course->id.'&amp;attsid='.$att->id);
}


// Confirm Form
if ($course->category) {
	print_header(get_string('toNtitle','block_autoattend'). ' ' .get_string('session','block_autoattend') , 
				 $course->fullname,
				 "<a href=\"{$CFG->wwwroot}/course/view.php?id=$course->id\">$course->shortname</a> -> ".
				 "<a href=\"index.php?course=$course->id\">".get_string('autoattend','block_autoattend')."</a> -> ".
				 get_string('toNtitle','block_autoattend'),"", "", true, "&nbsp;", navmenu($course));
} 
else {
	print_header("$course->shortname: ".get_string('autoattend','block_autoattend'), $course->fullname,
				 get_string('autoattend','block_autoattend'), "", "", true, "&nbsp;", navmenu($course));
}

$sessname = '<tr><td><b>'.
			strftime(get_string('strftimedmyw', 'block_autoattend'), $att->sessdate).'&nbsp;&nbsp;'.
			strftime(get_string('strftimehourmin', 'block_autoattend'), $att->starttime).'-&nbsp;&nbsp;&nbsp;'.
			get_string('description','block_autoattend').': '.
			($att->description ? $att->description : get_string('nodescription', 'block_autoattend')).
			'</b></td></tr>';

print_heading(get_string('returntoN','block_autoattend').' :: ' .$course->fullname);
print_simple_box_start('center', '60%', '', 5, 'generalbox', 'notice');
?>

<table  border="0" align="center">
	<form name="delete" action="returntoN.php" method="post">
		<tr>
			<td>
				<h2><center><strong><?php print_string('returntoNconfirm','block_autoattend');?></strong></center></h2>
			</td>
		</tr>
		<tr>
			<td>
				<h3><center><strong><?php print_string('returntoNdesc','block_autoattend');?></strong></center></h3>
			</td>
		</tr>

		<tr>
			<td class="generalboxcontent">
				<table border="0" align="center">
					<?php echo $sessname;?>
				</table>
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td class="generalboxcontent">
				<table border="0" align="center">
					<tr>
						<td>
					 		<input type="hidden" name="confirm" value="1">
							<input type="hidden" name="course" value="<?php echo $course->id;?>">  
							<input type="hidden" name="attsid" value="<?php echo $attsid;?>">  
							<input type="submit" name="submit" value="<?php print_string('toNok','block_autoattend')?>">
						</td>
						<td>&nbsp;</td>
						<td>&nbsp;</td>
						<td>
							<input type="submit" name="submit" value="<?php print_string('cancel');?>"> 
						</td>
				</table>
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
		</tr>
	</form>
</table>

<?php
print_simple_box_end();

print_footer($course);
?>
