<?php    // $Id: add.php,v 1.14 2005/02/27 00:04:13 stronk7 Exp $
/// This page prints all instances of mieattendance in a given course
error_reporting(E_ALL);
require('../../config.php');
require('lib.php');

// if form is being submitted from generated form

/// -----------------------------------------------------------------------------------
///       SECTION FOR PROCESSING THE FORM ON POST (INSERT RECORD)
/// -----------------------------------------------------------------------------------
if (isset($_POST['course'])) {
    require_login();

    if (isset($SESSION->modform)) {     // Variables are stored in the session
        $mod = $SESSION->modform;
        unset($SESSION->modform);
    } else {
        $mod = (object)$_POST;
    }

    if (isset($mod->cancel)) {
        if (!empty($SESSION->returnpage)) {
            $return = $SESSION->returnpage;
            unset($SESSION->returnpage);
            redirect($return);
        } else {
            redirect("view.php?id=$mod->course");
        }
    }
    if ( isteacher($mod->course) && !isteacheredit($mod->course)) {
        error("You can't modify this course!");
    }

    $modlib = 'lib.php';
    if (file_exists($modlib)) {
        require_once($modlib);
    } else {
        error("This module is missing important code! ($modlib)");
    }

    $curdate = make_timestamp($mod->startyear, $mod->startmonth, $mod->startday);
    $stopdate = make_timestamp($mod->endyear, $mod->endmonth, $mod->endday);
    $enddate = $curdate + $mod->numsections * 604800;

    if ($curdate > $stopdate) {
        error(get_string('endbeforestart', 'mieattendance'));
    }
    if ($enddate < $curdate) {
        error(get_string('startafterend', 'mieattendance'));
    }
    if ($stopdate > $enddate) {
        // if stop date is after end of course, just move it to end of course
        $stopdate = $enddate;
    }
    $backupname = $mod->name;
    while ($curdate <= $stopdate) {
        $mod->day = $curdate;
        switch(userdate($curdate, "%u")) {
        case 1: if (!empty($mod->mon)) {mieattendance_add_module($mod);}break;
        case 2: if (!empty($mod->tue)) {mieattendance_add_module($mod);}break;
        case 3: if (!empty($mod->wed)) {mieattendance_add_module($mod);}break;
        case 4: if (!empty($mod->thu)) {mieattendance_add_module($mod);}break;
        case 5: if (!empty($mod->fri)) {mieattendance_add_module($mod);}break;
        case 6: if (!empty($mod->sat)) {mieattendance_add_module($mod);}break;
        case 7: if (!empty($mod->sun)) {mieattendance_add_module($mod);}break;
        } // switch
        unset($mod->name);
        $mod->name = $backupname;
        $curdate = $curdate + 86400; // add one day to the date
    } // while for days
exit;
    if (!empty($SESSION->returnpage)) {
        $return = $SESSION->returnpage;
        unset($SESSION->returnpage);
        redirect($return);
    } else {
        redirect("index.php?id=$mod->course");
    }
    exit;

/// -----------------------------------------------------------------------------------
///       SECTION FOR MAKING THE FORM TO BE POSTED
/// -----------------------------------------------------------------------------------
} else {
    $id = required_param('id', PARAM_INT);
    $section = required_param('section', PARAM_INT);

    if (! $course = get_record('course', 'id', $id)) {
        error("This course doesn't exist");
    }
    if (! $module = get_record('modules', 'name', 'mieattendance')) {
        error("This module type doesn't exist");
    }
    $form->section           = $section;                 // The section number itself
    $form->course           = $course->id;
    $form->module          = $module->id;
    $form->modulename  = $module->name;
    $form->instance         = '';
    $form->coursemodule = '';
    $form->mode             = 'add';
    $form->sesskey          = $USER->sesskey;

    $sectionname        = get_string("name$course->format");
    $fullmodulename = strtolower(get_string('modulename', $module->name));

    if ($form->section) {
        $heading->what = $fullmodulename;
        $heading->to     = "$sectionname $form->section";
        $pageheading = get_string('addingmultiple', 'mieattendance');
    } else {
        $pageheading = get_string('addingmultiple', 'mieattendance');
    }

    if ( isteacher($course->id) && !isteacheredit($course->id)) {
        error("You can't modify this course!");
    }

    $streditinga = get_string('editinga', 'moodle', $fullmodulename);
    $strmodulenameplural = get_string('modulenameplural', $module->name);

    if ($course->category) {
        print_header("$course->shortname: $streditinga", "$course->fullname",
                "<a href=\"$CFG->wwwroot/course/view.php?id=$course->id\">$course->shortname</a> ->
                <a href=\"$CFG->wwwroot/mod/$module->name/index.php?id=$course->id\">$strmodulenameplural</a> ->
                $streditinga", 'form.name', '', false);
    } else {
        print_header("$course->shortname: $streditinga", "$course->fullname","$streditinga", 'form.name', '', false);
    }

    $SESSION->returnpage = $_SERVER['HTTP_REFERER'];
    unset($SESSION->modform); // Clear any old ones that may be hanging around.

    $icon = "<img align=middle height=16 width=16 src=\"$CFG->modpixpath/$module->name/icon.gif\" alt=\"\" >&nbsp;";

    print_heading_with_help($pageheading, 'mods', $module->name, $icon);
    print_simple_box_start('center');

    /// Print the main part of the page
    // adaptation of mod code to view code needs this:
    @include_once("$CFG->dirroot/mod/mieattendance/lib.php");
    // determine the end date for the course based on the number of sections and the start date
    $course->enddate = $course->startdate + $course->numsections * 604800;

    if (isset($CFG->mieattendance_dynsection) && ($CFG->mieattendance_dynsection == '1')) { $form->dynsection = 1; }
    if (isset($CFG->mieattendance_autoattend) && ($CFG->mieattendance_autoattend == '1')) { $form->autoattend = 1; }
    if (isset($CFG->mieattendance_grade) && ($CFG->mieattendance_grade == '1')) { $form->grade = 1; }
    $form->maxgrade = isset($CFG->mieattendance_maxgrade)?$CFG->mieattendance_maxgrade:0;
    $form->hours = isset($CFG->mieattendance_default_hours)?$CFG->mieattendance_default_hours:1;

/// -----------------------------------------------------------------------------------
///       mod HTML
/// -----------------------------------------------------------------------------------
?>
<script type="text/javascript">
    function lockselects(form, master, subitems) {
        // subitems is an array of names of sub items requires that each item in subitems has a
        // companion hidden item in the form with the same name but prefixed by "h" master is the name of the selct
        // x is the option that is selcted to enforce the lock.
        var tmp = eval("document."+form+"."+master+".selected");
        if (eval("document."+form+"."+master+".selected")) {
            for (i=0; i<subitems.length; i++) {
                lockoption(form, subitems[i]);
            }
        } else {
            for (i=0; i<subitems.length; i++) {
                unlockoption(form, subitems[i]);
            }
        }
        return(true);
    }
</script>

<form name="form" method="post" action="add.php"><center>
<table cellpadding=5>

<tr valign="top">
    <td align="right"><b><?php print_string('name') ?>:</b></td>
    <td colspan="3">
    <input type="text" name="name" size="60" value="<?php p($form->notes)?>" alt="<?php print_string('name') ?>">
    </td>
</tr>

<tr valign=top>
    <td align=right><p><b><?php print_string('startmulti', 'mieattendance') ?>:</b></p></td>
    <td colspan="3"  align=left><?php print_date_selector('startday', 'startmonth', 'startyear',$course->startdate) ?></td>
</tr>

<tr valign=top>
    <td align=right><p><b><?php print_string('endmulti', 'mieattendance') ?>:</b></p></td>
    <td colspan="3" align=left><?php print_date_selector('endday', 'endmonth', 'endyear',$course->enddate) ?></td>
</tr>

<tr valign=top>
    <td align=right><p><b><?php print_string('choosedays', 'mieattendance') ?>:</b></p></td>
    <td colspan="3">
    <?php print_string('sunday','mieattendance'); echo ':'; ?>
    <input type="checkbox" name="sun" >
    <?php print_string('monday','mieattendance'); echo ':'; ?>
    <input type="checkbox" name="mon" checked="checked" >
    <?php print_string('tuesday','mieattendance'); echo ':'; ?>
    <input type="checkbox" name="tue" checked="checked" >
    <?php print_string('wednesday','mieattendance'); echo ':'; ?>
    <input type="checkbox" name="wed" checked="checked" >
    <?php print_string('thursday','mieattendance'); echo ':'; ?>
    <input type="checkbox" name="thu" checked="checked" >
    <?php print_string('friday','mieattendance'); echo ':'; ?>
    <input type="checkbox" name="fri" checked="checked" >
    <?php print_string('saturday','mieattendance'); echo ':'; ?>
    <input type="checkbox" name="sat" >
    <?php helpbutton('choosedays', get_string('choosedays','mieattendance'), 'mieattendance');?>
    </td>
</tr>

<tr valign="top">
<td colspan="3" height="20"></td>
<td></td>
</tr>

<tr valign="top">
<td align="right"><b><?php print_string('classscheduleid','mieattendance') ?>:</b></td>
<td align="left" colspan="3">
<input type="text" name="scheduleid" size="15" value="CS101" alt="<?php print_string('classscheduleid','mieattendance') ?>">
<?php
    helpbutton('dynsection', get_string('dynamicsection','mieattendance'), 'mieattendance');
?>
</td>
</tr>

<?php
    if (! $groupmode = groupmode($course, $cm)) { $groupmode = 'NOGROUPS'; }

    if ($course->groupmode or (!$course->groupmodeforce)) {
        echo '<tr valign="top">';
        echo '<td align="right"><b>'.get_string('groupmode').':</b></td>';
        echo '<td align="left">';
        unset($mieattendance);
        $mieattendance[NOGROUPS] = get_string('groupsnone');
        $mieattendance[SEPARATEGROUPS] = get_string('groupsseparate');
        $mieattendance[VISIBLEGROUPS] = get_string('groupsvisible');
        choose_from_menu($mieattendance, 'groupmode', $groupmode, '', "return lockselects('form','groupmode.options[0]',['groupid'])");
        helpbutton('groupmode', get_string('groupmode'));
        echo '</td></tr>';
    }
?>

<tr valign="top">
<td align="right"><b><?php print_string('groupsetting','mieattendance') ?>:</b></td>
<td  colspan="3" align="left">
<?php 
    $optgroups[0] = get_string('notset','mieattendance');
    if ( $groups = get_records('groups','courseid',$course->id,'id ASC')) {
        foreach($groups as $group) { $optgroups[$group->id] = $group->name; }
    }
    choose_from_menu($optgroups, 'groupid', $form->groupid, '0','','0'); 
    helpbutton('maxgrade', get_string('groupsetting','mieattendance'), 'mieattendance'); 
?>
</td>
</tr>

<tr valign="top">
<td colspan="3" height="20"></td>
<td></td>
</tr>

<tr valign="top">
    <td align="right"><p><b><?php print_string('dynamicsectionmulti', 'mieattendance') ?>:</b></p></td>
    <td colspan="3" align="left">
<?php
     $options = array();
     $options[0] = get_string("no");
     $options[1] = get_string("yes");
     choose_from_menu($options, 'dynsection', '', '');
     helpbutton('dynsection', get_string('dynamicsectionmulti','mieattendance'), 'mieattendance');
?>
</td>
</tr>

<tr valign=top>
     <td align="right"><p><b><?php print_string('autoattendmulti', 'mieattendance') ?>:</b></p></td>
     <td colspan="3" align="left">
<?php
     $options = array();
     $options[0] = get_string("no");
     $options[1] = get_string("yes");
     choose_from_menu($options, 'autoattend', '', '');
     helpbutton('autoattendmulti', get_string('autoattend','mieattendance'), 'mieattendance');
?>
</td>
</tr>

<?php for ($i=2;$i<=24;$i++){ $opt[$i] = $i; } ?>
<tr valign=top>
    <td align=right><p><b><?php print_string('hoursineachclass', 'mieattendance') ?>:</b></p></td>
    <td colspan="3" align="left"><?php choose_from_menu($opt, 'hours', $form->hours, '1','','1') ?>
<?php helpbutton('hours', get_string('hoursinclass','mieattendance'), 'mieattendance'); ?>
</td>
</tr>

<tr valign=top>
    <td align="right"><p><b><?php print_string('gradevaluemulti', 'mieattendance') ?>:</b></p></td>
    <td colspan="3" align="left">
<?php
    $options = array();
    $options[0] = get_string('no');
    $options[1] = get_string('yes');
    choose_from_menu($options, 'grade', '', '');
    helpbutton('grade', get_string('gradevalue','mieattendance'), 'mieattendance');
?>
</td>
</tr>

<?php for ($i=0;$i<=100;$i++){ $opt2[$i] = $i; } ?>
<tr valign=top>
    <td align=right><p><b><?php print_string('maxgradevalue', 'mieattendance') ?>:</b></p></td>
    <td colspan="3" align="left"><?php choose_from_menu($opt2, 'maxgrade', $form->maxgrade, '0','','0');
    helpbutton('maxgrade', get_string('maxgradevalue','mieattendance'), 'mieattendance');
?>
</td>
</tr>

<script type="text/javascript">lockselects('form','groupmode.options[0]',['groupid']);</script>

</table>
<!-- These hidden variables are always the same -->
<input type="hidden" name=course              value="<?php p($form->course) ?>" >
<input type="hidden" name=coursemodule    value="<?php p($form->coursemodule) ?>" >
<input type="hidden" name=section              value="<?php p($form->section) ?>" >
<input type="hidden" name=module             value="<?php p($form->module) ?>" >
<input type="hidden" name=modulename     value="<?php p($form->modulename) ?>" >
<input type="hidden" name=instance            value="<?php p($form->instance) ?>" >
<input type="hidden" name=mode                value="<?php p($form->mode) ?>" >
<input type="hidden" name=sesskey             value="<?php p($form->sesskey) ?>" >
<input type="hidden" name=numsections      value="<?php p($course->numsections) ?>" >
<br>
<input type="submit" value="<?php print_string('savechanges') ?>" >
<input type="submit" name="cancel" value="<?php print_string('cancel') ?>" >
</center>
</form>

<?php
    print_simple_box_end();
    print_footer($course);
}

?>
