# phpMyAdmin MySQL-Dump
# version 2.2.1
# http://phpwizard.net/phpMyAdmin/
# http://phpmyadmin.sourceforge.net/ (download page)
#
# Host: localhost
# Generation Time: Nov 14, 2001 at 04:44 PM
# Server version: 3.23.36
# PHP Version: 4.0.6
# Database : `moodle`
# --------------------------------------------------------

#
# Table structure for table `miechoice`
#

CREATE TABLE prefix_miechoice (
  id SERIAL PRIMARY KEY,
  course integer NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  text text NOT NULL default '',
  format integer NOT NULL default '0',
  showunanswered integer NOT NULL default '0',
  limitanswers integer NOT NULL default '0',
  publish integer NOT NULL default '0',
  release integer NOT NULL default '0',
  display integer NOT NULL default '0',
  allowupdate integer NOT NULL default '0',
  timeopen integer NOT NULL default '0',
  timeclose integer NOT NULL default '0',
  timemodified integer NOT NULL default '0'
);

CREATE INDEX prefix_miechoice_course_idx ON prefix_miechoice (course);

# --------------------------------------------------------

#
# Table structure for table `miechoice_answers`
#

CREATE TABLE prefix_miechoice_answers (
  id SERIAL PRIMARY KEY,
  miechoiceid integer NOT NULL default '0',
  userid integer NOT NULL default '0',
  optionid integer NOT NULL default '0',
  timemodified integer NOT NULL default '0'
);

CREATE INDEX prefix_miechoice_answers_miechoice_idx ON prefix_miechoice_answers (miechoiceid);
CREATE INDEX prefix_miechoice_answers_userid_idx ON prefix_miechoice_answers (userid);

# --------------------------------------------------------

#
# Table structure for table `miechoice_options`
#

CREATE TABLE prefix_miechoice_options (
  id SERIAL PRIMARY KEY,
  miechoiceid integer NOT NULL default '0',
  text TEXT,
  maxanswers integer NULL default '0',
  timemodified integer NOT NULL default '0'
);

CREATE INDEX prefix_miechoice_options_miechoice_idx ON prefix_miechoice_options (miechoiceid);

#
# Dumping data for table `log_display`
#

INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('miechoice', 'view', 'miechoice', 'name');
INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('miechoice', 'update', 'miechoice', 'name');
INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('miechoice', 'add', 'miechoice', 'name');
INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('miechoice', 'report', 'miechoice', 'name');
INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('miechoice', 'choose', 'miechoice', 'name');
INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('miechoice', 'choose again', 'miechoice', 'name');

