<?php
// This page defines the form to create or edit an instance of the miechoice module
// It is used from /course/mod.php.    The whole instance is available as $miechoice.
// RJJ I'm using inline CSS styles for some stuff in this page because I want to centralize 
// the logic and styles in a single directory

    if ( !isset($sendto) && !isset($confir) ) {
        print_simple_box_start('center','*');
        //=======================================================
        $table->head = array(get_string('miechoicename','miechoice'),get_string('limitperiod','miechoice'));
        $table->align = array('left', 'left');
        $table->wrap = array('nowrap', 'nowrap');
        $table->width = '100%';
        $table->size = array ('*','*');
        $table->border = 1;

        if ($miechoice->timeopen ) {
            $strconfirmationtime = userdate($miechoice->timeopen, get_string('strftimerecentfull')).
                                        ' - '.userdate($miechoice->timeclose, get_string('strftimerecentfull'));
        } else {
            $strconfirmationtime = get_string('unlimited');
        }
        $table->data[]=array($miechoice->name, $strconfirmationtime);
        print_table($table);

        //=======================================================
        if ( ($miechoice->timeclose == 0)  || ($miechoice->timeclose > time()) ) {
            echo "<center><form name=\"form\" method=\"post\" action=\"$CFG->wwwroot/mod/miechoice/view.php\">";
            // These hidden variables are always the same -->
            echo "<input type=\"hidden\" name=\"course\"  value=$course->id>";
            echo "<input type=\"hidden\" name=\"id\"         value=$cm->id>";
            echo "<input type=\"hidden\" name=\"tabid\"     value=$tabid>";
            echo "<input type=\"hidden\" name=\"sesskey\" value=$USER->sesskey>";
            echo '<input type="submit" name="sendto"   value="'.get_string('registrationemail').'">&nbsp;';
            echo '</td></tr></center></form>';
        } else {
            $options['id'] = $cm->id;
            echo '<center>';
            echo '<font  color="red">'.get_string('err_limitperiod','miechoice').'</font><br>';
            print_single_button('view.php', $options,get_string('cancel'));
            echo '</center>';
        }
        print_simple_box_end();

    } elseif ( isset($sendto) ) {

        print_simple_box_start('center','*');
        //======================================================
        // 1. check mail infomation.
        $group = get_record('groups','id', $miechoice->groupid);
        if (!$members = get_records('groups_members','groupid',$miechoice->groupid) ) {
            notice(get_string('notuser','miechoice'),"view.php?id=$cm->id&sesskey=$USER->sesskey");
        }
        $cnt = 0;
        $tmp = '';
        foreach( $members as $mbr ) {
            $profilesub = get_record('user_profile_sub', 'userid', $mbr->userid);
            if (!$profilesub || !$profilesub->k_mail ) {
                $user = get_record('user','id',$mbr->userid);
                $name = fullname($user);
                if ( $cnt == 4 ) {
                    $tmp .= ' '.$name.'<br>';
                } else {
                    $tmp .= !$cnt  ? $name : ', '.$name;
                }
                $cnt = ( $cnt < 4 ) ? ($cnt + 1) : 0;
            }
        }
        if ( !empty( $tmp )) {
            $output = '<center>'.$tmp.'<br><br><b>'.get_string('notaddress','miechoice').'</b><br>';
            notice( $output,"view.php?id=$cm->id&sesskey=$USER->sesskey");
        }

        $table->head = array(get_string('students'));
        $table->align = array('left');
        $table->wrap = array('nowrap');
        $table->width = '80%';
        $table->size = array ('*');
        $table->border = 1;

        foreach ( $members as $member) {
            $user = get_record('user', 'id', $member->userid);
            $username = fullname($user);
            $table->data[] = array($username);
        }
        print_table($table);

        //=======================================================
        $action = $CFG->wwwroot.'/mod/miechoice/view.php';
        echo '<center><form name="form" method="post" action="'.$action.'">';
        // These hidden variables are always the same -->
        echo '<input type="hidden" name="course"    value='.$course->id.'>';
        echo '<input type="hidden" name="id"           value='.$cm->id.'>';
        echo '<input type="hidden" name="mode"     value='.$miechoice->mode.'>';
        echo '<input type="hidden" name="tabid"      value='.$tabid.'>';
        echo '<input type="hidden" name="sesskey"  value='.$USER->sesskey.'>';
        echo '<input type="submit" name="confir"     value='.get_string('send','miechoice').'>&nbsp';
        echo '</td></tr></center></form>';

        print_simple_box_end();

    } elseif ( isset($confir) ) {

        //======================================================
        // 1. check mail infomation.
        if (!$members = get_records('groups_members','groupid',$miechoice->groupid) ) {
             $group = get_record('groups','id', $miechoice->groupid);
             notice("There are not an object and student information. $group->name");
        }

        // 2. sendmail
        echo '<center><br><b>'.get_string('waitmessages','miechoice').'</b><br><br>';
        $oldsettime = ini_get('max_execution_time');
        ini_set('max_execution_time','3600');
        $cnt = $sendcnt = 0;
        foreach($members as $member) {
            if (! $user = get_record('user','id',$member->userid)) {
                error("ERROR : not found user.");
            }
            $to_name = fullname($user);
            $subject = "$miechoice->name";//."$miechoice->scheduleid";
            $url = "$CFG->wwwroot/mod/miechoice/mobiledispatch.php?id=$miechoice->id&key=$user->id";
            $messagetext = get_string('href','miechoice')."\n\n".$url;

            if (false === miechoice_email_to_user($user,'',$subject, $messagetext)) {
                echo "<br><font color=\"red\">ERROR : miechoice_email_to_user</font> $to_name<br>";
            } else {
                if ( $cnt == 4 ) {
                    echo " $to_name <br>";
                } else {
                    $msg = !$cnt  ? "$to_name" : ", $to_name";
                    echo $msg;
                }
                $sendcnt++;
            }
            $cnt = ( $cnt < 4 ) ? ($cnt + 1) : 0;
        }
        ini_set('max_execution_time',$oldsettime);
        echo '<br><br><b>'.get_string('total').':&nbsp;'.$sendcnt.'</b><br><br>';

        echo "<a href=\"view.php?id=$cm->id&sesskey=$sesskey\">".get_string('emailsuccess','miechoice').'</a>';
        echo '</center><br>';
    }

?>
