<?php // $Id: index.php,v 1.4 2006/05/18 22:58:27 mchurch Exp $

/// This page lists all the instances of NEWMODULE in a particular course
/// Replace NEWMODULE with the name of your module

    require_once("../../config.php");
    require_once("lib.php");

    $id = required_param('id', PARAM_INT);

    if (! $course = get_record("course", "id", $id)) {
        error("Course ID is incorrect");
    }

    require_login($course->id);

    add_to_log($course->id, "questionnaire", "view all", "index.php?id=$course->id", "");


/// Get all required strings

    $strquestionnaires = get_string("modulenameplural", "questionnaire");
    $strquestionnaire  = get_string("modulename", "questionnaire");


/// Print the header

    if ($course->category) {
        $navigation = "<A HREF=\"../../course/view.php?id=$course->id\">$course->shortname</A> ->";
    }

    print_header("$course->shortname: $strquestionnaires", "$course->fullname", "$navigation $strquestionnaires", "", "", true, "", navmenu($course));

/// Get all the appropriate data

    if (! $questionnaires = get_all_instances_in_course("questionnaire", $course)) {
        notice("There are no questionnaires", "../../course/view.php?id=$course->id");
        die;
    }

/// Print the list of instances (your module will probably extend this)

    $timenow = time();
    $strname  = get_string("name");
    $strsummary = get_string("summary");
    $strtype = get_string('type', 'questionnaire');

    $table->head  = array ($strname, $strsummary, $strtype);
    $table->align = array ("LEFT", "LEFT", 'CENTER');

    foreach ($questionnaires as $questionnaire) {
        if (!$questionnaire->visible) {
            //Show dimmed if the mod is hidden
            $link = "<A class=\"dimmed\" HREF=\"view.php?id=$questionnaire->coursemodule\">$questionnaire->name</A>";
        } else {
            //Show normal if the mod is visible
            $link = "<A HREF=\"view.php?id=$questionnaire->coursemodule\">$questionnaire->name</A>";
        }

        $qtype = get_field('questionnaire_survey', 'realm', 'id', $questionnaire->sid);
        $table->data[] = array ($link, $questionnaire->summary, $qtype);
    }

    echo "<BR>";

    print_table($table);

/// Finish the page

    print_footer($course);

?>
