<?php  // $Id: view.php,v 1.18 2006/03/02 22:37:59 mchurch Exp $

/// This page prints a particular instance of questionnaire

    require_once("../../config.php");
    require_once("lib.php");

    /// Used by the phpESP code.
    global $HTTP_POST_VARS, $HTTP_GET_VARS, $HTTP_SERVER_VARS;

    $id = optional_param('id', NULL, PARAM_INT);    // Course Module ID, or
    $a = optional_param('a', NULL, PARAM_INT);      // questionnaire ID

    $qac = optional_param('qac');                   // possible actions
    $sid = optional_param('sid', NULL, PARAM_INT);  // Survey id.

    if ($id) {
        if (! $cm = get_record("course_modules", "id", $id)) {
            error("Course Module ID was incorrect");
        }
    
        if (! $course = get_record("course", "id", $cm->course)) {
            error("Course is misconfigured");
        }
    
        if (! $questionnaire = get_record("questionnaire", "id", $cm->instance)) {
            error("Course module is incorrect");
        }

    } else {
        if (! $questionnaire = get_record("questionnaire", "id", $a)) {
            error("Course module is incorrect");
        }
        if (! $course = get_record("course", "id", $questionnaire->course)) {
            error("Course is misconfigured");
        }
        if (! $cm = get_coursemodule_from_instance("questionnaire", $questionnaire->id, $course->id)) {
            error("Course Module ID was incorrect");
        }
    }

    require_login($course->id);

    add_to_log($course->id, "questionnaire", "view", "view.php?id=$cm->id", "$questionnaire->id", $cm->instance, $USER->id);

/// Print the page header

    $questionnaire = new questionnaire(0, $questionnaire, $course, $cm);
    $questionnaire->strquestionnaires = get_string("modulenameplural", "questionnaire");
    $questionnaire->strquestionnaire  = get_string("modulename", "questionnaire");

    $questionnaire->view();

?>