<?PHP

function scheduler_upgrade($oldversion) {
/// This function does anything necessary to upgrade 
/// older versions to match current functionality 

    global $CFG;

    if ($oldversion < 2003121200) {

       table_column("scheduler_slots", "", "reuse", "smallint", "4", "unsigned", "0", "", "student");

    }
    if ($oldversion < 2005091100) {

       table_column("scheduler_slots", "", "exclusive", "smallint", "4", "unsigned", "1", "", "timemodified");
       table_column("scheduler_slots", "", "hideuntil", "int", "10", "", "", "", "notes");
       table_column("scheduler_slots", "", "emaildate", "int", "10", "", "", "", "notes");
       table_column("scheduler_slots", "", "teacher", "int", "10", "", "", "", "student");
       table_column("scheduler", "", "schedulermode", "varchar", "10", "", "oneonly", "", "description");

    }
    if ($oldversion < 2005091101) {

       table_column("scheduler_slots", "", "appointmentlocation", "varchar", "50", "", "", "", "teacher");

    }

    if ($oldversion < 2005100901) {

       table_column("scheduler_slots", "", "notes", "text", "", "", "", "", "timemodified");

    }

    return true;
}

?>
