# This file contains a complete database schema for all the 
# tables used by this module, written in SQL

# It may also contain INSERT statements for particular data 
# that may be used, especially new entries in the table log_display

#
# Table structure for table `scheduler`
#

CREATE TABLE `prefix_scheduler` (
  `id` int(10) NOT NULL auto_increment,
  `course` int(10) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `schedulermode` varchar(10) default NULL,
  `teacher` int(10) NOT NULL default '0',
  `timemodified` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Table structure for table `scheduler_slots`
#

CREATE TABLE `prefix_scheduler_slots` (
  `id` int(10) NOT NULL auto_increment,
  `scheduler` int(10) NOT NULL default '0',
  `starttime` int(10) NOT NULL default '0',
  `duration` int(10) NOT NULL default '0',
  `student` int(10) NOT NULL default '0',
  `teacher` int(11) default '0',
  `appointmentlocation` varchar(50) NOT NULL default '',
  `reuse` smallint(5) unsigned default '0',
  `attended` tinyint(2) NOT NULL default '0',
  `timemodified` int(10) NOT NULL default '0',
  `notes` text,
  `exclusive` smallint(4) unsigned NOT NULL default '1',
  `appointmentnote` text,
  `emaildate` int(11) default '0',
  `hideuntil` int(11) default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;
