<?PHP  // $Id: view.php,v 1.2 2006/02/01 12:00:47 dlnsk Exp $

/// This page prints a particular instance of autoattendmod
/// (Replace autoattendmod with the name of your module)

require_once("../../config.php");
require_once("lib.php");
require_once("$CFG->dirroot/blocks/autoattend/automaticlib.php");

$modid = optional_param('id', 0, PARAM_INT);	// Course Module ID, or
$attid = optional_param('a',  0, PARAM_INT);	// autoattendmod ID

if ($modid) {
	if (! $cm = get_record("course_modules", "id", $modid)) {
		error(get_string('modidincorrect','autoattendmod'));
	}
	if (! $course = get_record("course", "id", $cm->course)) {
		error(get_string('misconfigured','autoattendmod'));
	}
	if (! $autoattendmod = get_record("autoattendmod", "id", $cm->instance)) {
		error(get_string('modincorrect','autoattendmod'));
	}
} 
else if ($attid) {
	if (! $autoattendmod = get_record("autoattendmod", "id", $attid)) {
		error(get_string('modidincorrect','autoattendmod'));
	}
	if (! $course = get_record("course", "id", $autoattendmod->course)) {
		error(get_string('misconfigured','autoattendmod'));
	}
	if (! $cm = get_coursemodule_from_instance("autoattendmod", $autoattendmod->id, $course->id)) {
		error(get_string('modincorrect','autoattendmod'));
	}
}
else {
	error(get_string('modincorrect','autoattendmod'));
}


require_login($course->id);

// for Student
if (isstudent($course->id)) {
	$userid = $USER->id;
	$ntime  = time();
	$sess = autoattend_get_nowopensession($course->id, 'S', 'O', $ntime);
	if ($sess) {
		$stdnt = autoattend_get_user_atsession($sess['id'], $userid);
		if ($stdnt and $stdnt['status']=='Y') {
			redirect("$CFG->wwwroot/blocks/autoattend/semiautoattend.php?courseid=$course->id&amp;attsid=".$sess['id']);
		}
	}
}

redirect("$CFG->wwwroot/blocks/autoattend/index.php?course=$course->id");

?>
