#
# Table structure for table `prefix_mieattendance`
#
CREATE TABLE prefix_mieattendance (
  id int(10) unsigned NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  course int(10) NOT NULL default '0',
  day int(10) unsigned NOT NULL default '0',
  scheduleid varchar(15) NOT NULL default '',
  hours tinyint(1) NOT NULL default '0',
  timeopen int(10) unsigned NOT NULL default '0',
  timeclose int(10) unsigned NOT NULL default '0',
  roll tinyint(1) NOT NULL default '0',
  notes varchar(64) NOT NULL default '',
  timemodified int(10) unsigned NOT NULL default '0',
  dynsection tinyint(1) NOT NULL default '0',
  edited tinyint(1) NOT NULL default '0',
  autoattend tinyint(1) NOT NULL default '0',
  entrymethod tinyint(1) NOT NULL default '0',
  certificationcord varchar(10) NOT NULL default '',
  groupid int(10) NOT NULL default '0',
  cellularphone tinyint(1) unsigned NOT NULL default '0',  PRIMARY KEY  (id),
  mailstatus tinyint(1) NOT NULL default '0',
  KEY `course` (`course`) 
) TYPE=MyISAM;

#
# Table structure for table `prefix_mieattendance_roll`
#
CREATE TABLE prefix_mieattendance_roll (
  id int(10) NOT NULL auto_increment,
  dayid int(10) unsigned NOT NULL default '0',
  userid int(10) NOT NULL default '0',
  status int(10) NOT NULL default '0',
  notes varchar(64) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY `dayid` (`dayid`),
  KEY `userid` (`userid`)
) TYPE=MyISAM;

# Debug 
#CREATE TABLE prefix_user_profiles_sub (
#  id int(10) NOT NULL auto_increment,
#  userid int(10) unsigned NOT NULL default '0',
#  k_mail varchar(200) NOT NULL default '',
#  PRIMARY KEY  (id)
#) TYPE=MyISAM;

INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('mieattendance', 'view', 'mieattendance', 'name');
INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('mieattendance', 'viewall', 'mieattendance', 'name');

