#
# Table structure for table `prefix_mieattendance`
#

CREATE TABLE prefix_mieattendance (
  id SERIAL8,
  name varchar(255) NOT NULL default '',
  course int8 NOT NULL default '0',
  day int8 NOT NULL default '0',
  hours int2 NOT NULL default '0',
  roll int2 NOT NULL default '0',
  notes varchar(64) NOT NULL default '',
  timemodified int8 NOT NULL default '0',
  dynsection int2 NOT NULL default '0',
  edited int2 NOT NULL default '0',
  autoattend int2 NOT NULL default '0',
  PRIMARY KEY(id)
);

CREATE INDEX prefix_mieattendance_course_idx ON prefix_mieattendance (course);

#
# Table structure for table `prefix_mieattendance_roll`
#

CREATE TABLE prefix_mieattendance_roll (
  id SERIAL8,
  dayid int4 NOT NULL default '0',
  userid int8 NOT NULL default '0',
  hour int2 NOT NULL default '0',
  status int4 NOT NULL default '0',
  notes varchar(64) NOT NULL default '',
  PRIMARY KEY  (id)
);

CREATE INDEX prefix_mieattendance_roll_dayid_idx ON prefix_mieattendance_roll (dayid);
CREATE INDEX prefix_mieattendance_roll_userid_idx ON prefix_mieattendance_roll (userid);

INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('mieattendance', 'view', 'mieattendance', 'name');
INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('mieattendance', 'view', 'mieattendance', 'name');
INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('mieattendance', 'viewall', 'mieattendance', 'name');

