<?php
// This page defines the form to create or edit an instance of the mieattendance module
// It is used from /course/mod.php.    The whole instance is available as $form.
// RJJ I'm using inline CSS styles for some stuff in this page because I want to centralize 
// the logic and styles in a single directory

// this is code from course/mod.php
    require_once('../../config.php');
    require_once('lib.php' );
    require_once("$CFG->dirroot/course/lib.php");

    if (!isteacher($course->id)) {
        error("You can't modify this record!");
    }
    if (! $module = get_record("modules", "id", $cm->module)) {
        error("This module doesn't exist");
    }
    if (! $form = get_record($module->name, "id", $cm->instance)) {
        error("The required instance of this module doesn't exist");
    }
    if (! $cw = get_record("course_sections", "id", $cm->section)) {
        error("This course section doesn't exist");
    }
    if (isset($return)) {
        $SESSION->returnpage = "$CFG->wwwroot/mod/$module->name/view.php?id=$cm->id";
    }

    $form->coursemodule = $cm->id;
    $form->section           = $cm->section;         // The section ID
    $form->course           = $course->id;
    $form->module          = $module->id;
    $form->modulename  = $module->name;
    $form->instance         = $cm->instance;
    $form->mode             = "update";
    $form->sesskey          = $USER->sesskey; 

    $strnoticemail = get_string('registrationemail');
    $strcancel = get_string('cancel');
    $strmodulename = get_string('modulename','mieattendance');

    if ($course->category) {
        print_header("$course->shortname: $streditinga", "$course->fullname",
               "<a href=\"$CFG->wwwroot/course/view.php?id=$course->id\">$course->shortname</a> -> 
               <a href=\"$CFG->wwwroot/mod/$module->name/index.php?id=$course->id\">$strmodulenameplural</a> -> 
               $streditinga", '', '', false, update_module_button($cm->id, $course->id, $strmodulename));
    } else {
        print_header("$course->shortname: $streditinga", "$course->fullname", "$streditinga", '', '', false, update_module_button($cm->id, $course->id, $fullmodulename));
    }

    if (isteacher($course->id)) {
        mieattendance_tab_menu($TAB_EDIT_MENU_T, $tabid, "view.php?id=$id");
        $rolls = get_records('mieattendance_roll', 'dayid', $form->id);
    } else if (isstudent($course->id)) {    // visible and a student
        mieattendance_tab_menu($TAB_EDIT_MENU_S, $tabid, "view.php?id=$id");
        $rolls = get_record('mieattendance_roll', 'dayid', $form->id, 'userid', $USER->id);
    } else {
        notice(get_string('noviews', 'mieattendance'));
        print_footer($course); exit;
    }
    echo "<center><form name=\"form\" method=\"post\" action=\"$CFG->wwwroot/mod/mieattendance/view.php\">";    

    print_heading ($strsendmail,'center','3');
    print_simple_box_start('center','*');

if ( !isset( $save)) {
//=======================================================
    $strattendname = get_string('fullname');
    $table->head = array(get_string('name'), 'cell mail');
    $table->align = array('left', 'left');
    $table->wrap = array('nowrap', 'nowrap');
    $table->width = '100%';
    $table->size = array ('*','*');
    $table->border = 1;

    if ($members = get_records('groups_members','groupid',$form->groupid) ) {
        foreach ( $members as $member) {
            $student = get_record('user','id',$member->userid);
            $subprof = get_record('user_profiles_sub','userid',$student->id);
            $strinputtext = "<input type\"text\" name=\"mail_$student->id\" value=\"$subprof->k_mail\">";
            $strusername =  fullname($student, true);
            $table->data[]=array($strusername, $strinputtext);
        }
    }
    mieattendance_print_table($table);
//=======================================================
    // These hidden variables are always the same -->
    echo "<input type=\"hidden\" name=\"id\"   value=$form->coursemodule>";
    echo "<input type=\"hidden\" name=\"section\"             value=$form->section>";
    echo "<input type=\"hidden\" name=\"module\"            value=$form->module>";
    echo "<input type=\"hidden\" name=\"modulename\"    value=$form->modulename>";
    echo "<input type=\"hidden\" name=\"instance\"           value=$form->instance>";
    echo "<input type=\"hidden\" name=\"mode\"               value=$form->mode>";
    echo "<input type=\"hidden\" name=\"tabid\"               value=$tabid>";
    echo "<input type=\"hidden\" name=\"sesskey\"            value=$form->sesskey>"; 
    echo '<br />';
    echo "<input type=\"submit\" name=\"save\" value=\"SAVE\">";
    echo "<input type=\"submit\" name=\"cancel\" value=\"CANCEL\">";
} else {
    $table->head = array(get_string('name'), 'cell mail');
    $table->align = array('left', 'left');
    $table->wrap = array('nowrap','nowrap');
    $table->width = '100%';
    $table->size = array ('*','*');
    $table->border = 1;

    if ($members = get_records('groups_members','groupid',$form->groupid) ) {
        foreach ( $members as $member) {
            $student = get_record('user','id',$member->userid);
            $subprof = get_record('user_profiles_sub','userid',$student->id);

            $k_mail = "mail_$student->id";

            if ($subprof) {
                $subprof->k_mail = $_POST[$k_mail];
                update_record('user_profiles_sub', $subprof);
            } else {
                $subprof->id = "";
                $subprof->userid = $student->id;
                $subprof->k_mail = $_POST[$k_mail];
                insert_record('user_profiles_sub', $subprof);
            }
            $strusername =  fullname($student, true);
            $table->data[]=array($strusername,$subprof->k_mail);
        }
    }
    mieattendance_print_table($table);
//=======================================================
    // These hidden variables are always the same -->
    echo "<input type=\"hidden\" name=\"id\"   value=$form->coursemodule>";
    echo "<input type=\"hidden\" name=\"section\"             value=$form->section>";
    echo "<input type=\"hidden\" name=\"module\"            value=$form->module>";
    echo "<input type=\"hidden\" name=\"modulename\"    value=$form->modulename>";
    echo "<input type=\"hidden\" name=\"instance\"           value=$form->instance>";
    echo "<input type=\"hidden\" name=\"mode\"               value=$form->mode>";
    echo "<input type=\"hidden\" name=\"tabid\"               value=$tabid>";
    echo "<input type=\"hidden\" name=\"sesskey\"            value=$form->sesskey>"; 
    echo '<br />';
    echo "<input type=\"submit\" name=\"cancel\" value=\"CANCEL\">";
}
    echo '</td></tr></center></form>';
    print_simple_box_end();
   /// Finish the page
    print_footer($course);
?>
