<?php

function mieattendance_encording_internal() {
	$str = "";
	if ( function_exists(mb_internal_encoding) ) {
		$str = mb_internal_encoding();
	}
	return $str;	
}

function mieattendance_encording_convert($str,$encode) {
    if ( function_exists(mb_convert_encoding)) {
        $internalencoding = get_string('thischarset');
        if ( $internalencoding != $encode ) {
            $output = mb_convert_encoding($str,$encode, $internalencoding);
        }
    }
    return $output;
}

function mieattendance_encording_get_list() {
    // check function PHP5.
    if (function_exists(mb_list_encodings)) {
        $list_encoding = mb_list_encodings();
    } else {
        // I use a 'mb_list_encodings()' function in the future. PHP5 
        $list_encoding = array("EUC-JP", "UTF-8", "SJIS", " iso-2022-jp");
    }
    foreach ($list_encoding as $encode) {
        $encoding[$encode] = $encode; 
    }
    return $encoding;
}

function mieattendance_encording_choose_from_menu ($options, $name, $selected="", $enable="true") {

    $enable = ($enable == "true") ? "" : "disabled=\"disabled\"";
    $output = "<select name=\"$name\" $enable>\n";

    if (!empty($options)) {
        foreach ($options as $value => $label) {
            $output .= "   <option value=\"$value\"";
            if ($value == $selected) {
                $output .= " selected=\"true\"";
            }
            if ($label === "") {
                $output .= ">$value</option>\n";
            } else {
                $output .= ">$label</option>\n";
            }
        }
    }
    $output .= "</select>\n";
    echo $output;
}

?>
