<?php // $Id: index.php,v 1.14 2004/09/12 22:29:41 gustav_delius Exp $

/// index.php for mieattendance module
/// This page lists all the instances of NEWMODULE in a particular course
/// Replace NEWMODULE with the name of your module

    require_once("../../config.php");
    require_once("lib.php");

    $id = required_param('id', PARAM_INT);   // course

    if (! $course = get_record("course", "id", $id)) {
        error("Course ID is incorrect");
    }
    require_course_login($course);

    add_to_log($course->id, "mieattendance", "viewall", "index.php?id=$course->id", "");

    /// Get all required strings
    $strmieattendances = get_string("modulenameplural", "mieattendance");
    $strmieattendance  = get_string("modulename", "mieattendance");

    /// Print the header
    print_header_simple($strmieattendance, "", "$strmieattendances", "", "", true, "", navmenu($course));
/// Get all the appropriate data

    if (! $mieattendances = get_all_instances_in_course("mieattendance", $course)) {
        notice("There are no mieattendances", "../../course/view.php?id=$course->id");
        die;
    }

/// Print the list of instances (your module will probably extend this)

    $timenow = time();
    $strname  = get_string("name");
    $strweek  = get_string("week");
    $strtopic  = get_string("topic");

    if ($course->format == "weeks") {
        $table->head  = array ($strweek, $strname);
        $table->align = array ("CENTER", "LEFT");
    } else if ($course->format == "topics") {
        $table->head  = array ($strtopic, $strname);
        $table->align = array ("CENTER", "LEFT", "LEFT", "LEFT");
    } else {
        $table->head  = array ($strname);
        $table->align = array ("LEFT", "LEFT", "LEFT");
    }

   if ($mieattendances) foreach ($mieattendances as $mieattendance) {
        if (!$mieattendance->visible) {
            //Show dimmed if the mod is hidden
            $link = "<a class=\"dimmed\" href=\"view.php?id=$mieattendance->coursemodule\">$mieattendance->name</a>";
        } else {
            //Show normal if the mod is visible
            $link = "<a href=\"view.php?id=$mieattendance->coursemodule\">$mieattendance->name</a>";
        }

        if ($course->format == "weeks" or $course->format == "topics") {
            $table->data[] = array ($mieattendance->section, $link);
        } else {
            $table->data[] = array ($link);
        }
    }
    echo "<br />";

    print_table($table);

    /// Finish the page
    print_footer();

?>
