<?php
    require_once("../../config.php");
    require_once("lib.php" );

    // set or update attendance_roll table.
    if ($form = (object)$_POST) {
        // Peel out all the data from variable names.
        foreach ($form as $key => $val) {
            $pieces = explode('_',$key);
            if ($pieces[0] == 'student') {
                if ( $roll = get_record('mieattendance_roll','dayid',$form->instance,'userid',$pieces[1])) {
                    $roll->status = $val;
                    // clear out any old records for the student
                    if( ! update_record('mieattendance_roll', $roll)) {
                        error('Could not update your mieattendance_roll');
                    }
                } else {
                    $roll = NULL;
                    $roll->status = $val;
                    $roll->dayid  = $form->instance;
                    $roll->userid = $pieces[1];
                    if ( ! insert_record('mieattendance_roll',$roll)) {
                        error('Could not insert your mieattendance_roll');
                    }
                }
            }
        }
    }
    redirect("view.php?id=$form->coursemodule");
?>
