<?php     // $Id: view.php,v 1.19 2005/04/17 12:08:46 moodler Exp $
    /// This page prints a particular instance of mieattendance
    require_once("../../config.php");
    require_once("lib.php" );
    /// @include_once("$CFG->dirroot/mod/mieattendance/lib.php"); teachered
    // error_reporting(E_ALL);
    $id = optional_param('id', 0, PARAM_INT);	// Course Module ID, or
    $a = optional_param('a',  0, PARAM_INT);	// mieattendance ID
    $tabid = optional_param('tabid',  0, PARAM_INT);

    if ($id) {
        if (! $cm = get_record('course_modules', 'id', $id)) {
            error('Course Module ID was incorrect');
        }
        if (! $course = get_record('course', 'id', $cm->course)) {
            error('Course is misconfigured');
        }
        if (! $mieattendance = get_record('mieattendance', 'id', $cm->instance)) {
            error('MieAttendance module is incorrect');
        }
    } else {
        if (! $mieattendance = get_record('mieattendance', 'id', $a)) {
            error('MieAttendance is incorrect');
        }
        if (! $course = get_record('course', 'id', $mieattendance->course)) {
            error('Course is misconfigured');
        }
        if (! $cm = get_coursemodule_from_instance('mieattendance', $mieattendance->id, $course->id)) {
            error('Course Module ID was incorrect');
        }
    }

    require_login($course->id, true, $cm);
    add_to_log($course->id, 'mieattendance', 'view', "view.php?id=$cm->id", $mieattendance->id, $cm->id);

    /// Check to see if groups are being used in this mieattendance
    if ($groupmode = groupmode($course, $cm)) {   // Groups are being used
        set_current_group($course->id, $mieattendance->groupid);
    } else {
        set_current_group($course->id, false);
    }
    $groupid = $groupmode ? get_current_group($course->id) : '';

    if ( empty($tabid)) $tabid = TAB_ID_DEFAULT;
    switch ($tabid) {
        case TAB_ID_EDIT:
            include('tabedit.php');
            break;
        case TAB_ID_SENDMAIL:
            include('tabmail.php');
            break;
        case TAB_ID_REPORT:
            include('tabreport.php');
            break;
        case TAB_ID_DEBUG:
            include('debug.php');
            break;
        default:
            include('tabstate.php');
            break;
    }

?>
