# phpMyAdmin MySQL-Dump
# version 2.2.1
# http://phpwizard.net/phpMyAdmin/
# http://phpmyadmin.sourceforge.net/ (download page)
#
# Host: localhost
# Generation Time: Nov 14, 2001 at 04:44 PM
# Server version: 3.23.36
# PHP Version: 4.0.6
# Database : `moodle`
# --------------------------------------------------------

#
# Table structure for table `miechoice`
#

CREATE TABLE prefix_miechoice (
  id int(10) unsigned NOT NULL auto_increment,
  course int(10) unsigned NOT NULL default '0',
  groupid int(10) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  text text NOT NULL,
  format tinyint(2) unsigned NOT NULL default '0',
  publish tinyint(2) unsigned NOT NULL default '0',
  rlsresult tinyint(2) unsigned NOT NULL default '0',
  display tinyint(4) unsigned NOT NULL default '0',
  allowupdate tinyint(2) unsigned NOT NULL default '0',
  showunanswered tinyint(2) unsigned NOT NULL default '0',
  
  limitanswers tinyint(2) unsigned NOT NULL default '0',
  timeopen int(10) unsigned NOT NULL default '0',
  timeclose int(10) unsigned NOT NULL default '0',
  timemodified int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY id (id),
  KEY course (course)
) TYPE=MyISAM COMMENT='Available miechoices are stored here.';


# --------------------------------------------------------

#
# Table structure for table `miechoice_answers`
#

CREATE TABLE prefix_miechoice_answers (
  id int(10) unsigned NOT NULL auto_increment,
  miechoiceid int(10) unsigned NOT NULL default '0',
  userid int(10) unsigned NOT NULL default '0',
  optionid int(10) NOT NULL default '0',
  timemodified int(10) NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY id (id),
  KEY userid (userid),
  KEY miechoiceid (miechoiceid)
) TYPE=MyISAM;


# --------------------------------------------------------

#
# Table structure for table `miechoice_options`
#

CREATE TABLE prefix_miechoice_options (
  id int(10) unsigned NOT NULL auto_increment,
  miechoiceid int(10) unsigned NOT NULL default '0',
  `text` TEXT,
  maxanswers int(10) unsigned NULL default '0',
  timemodified int(10) NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY id (id),
  KEY miechoiceid (miechoiceid)
) TYPE=MyISAM;

#
# Dumping data for table `log_display`
#

INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('miechoice', 'view', 'miechoice', 'name');
INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('miechoice', 'update', 'miechoice', 'name');
INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('miechoice', 'add', 'miechoice', 'name');
INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('miechoice', 'report', 'miechoice', 'name');
INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('miechoice', 'choose', 'miechoice', 'name');
INSERT INTO prefix_log_display (module, action, mtable, field) VALUES ('miechoice', 'choose again', 'miechoice', 'name');


