<?php  // $Id: index.php,v 1.25 2005/06/10 11:09:39 thepurpleblob Exp $

    require_once("../../config.php");
    require_once("lib.php");

    $id = required_param('id',0,PARAM_INT);   // course

    if (! $course = get_record("course", "id", $id)) {
        error("Course ID is incorrect");
    }

    require_course_login($course);

    add_to_log($course->id, "miechoice", "view all", "index?id=$course->id", "");

    $strmiechoice = get_string("modulename", "miechoice");
    $strmiechoices = get_string("modulenameplural", "miechoice");

    print_header_simple("$strmiechoices", "",
                 "$strmiechoices", "", "", true, "", navmenu($course));


    if (! $miechoices = get_all_instances_in_course("miechoice", $course)) {
        notice("There are no miechoices", "../../course/view.php?id=$course->id");
    }

    if ( isset($USER->id) and $allanswers = get_records("miechoice_answers", "userid", $USER->id)) {
        foreach ($allanswers as $aa) {
            $answers[$aa->miechoiceid] = $aa;
        }

    } else {
        $answers = array () ;
    }

    $timenow = time();

    if ($course->format == "weeks") {
        $table->head  = array (get_string("week"), get_string("question"), get_string("answer"));
        $table->align = array ("center", "left", "left");
    } else if ($course->format == "topics") {
        $table->head  = array (get_string("topic"), get_string("question"), get_string("answer"));
        $table->align = array ("center", "left", "left");
    } else {
        $table->head  = array (get_string("question"), get_string("answer"));
        $table->align = array ("left", "left");
    }

    $currentsection = "";

    foreach ($miechoices as $miechoice) {
        if (!empty($answers[$miechoice->id])) {
            $answer = $answers[$miechoice->id];
        } else {
            $answer = "";
        }
        if (!empty($answer->optionid)) {
            $aa = format_string(miechoice_get_option_text($miechoice, $answer->optionid));
        } else {
            $aa = "";
        }
        $printsection = "";
        if ($miechoice->section !== $currentsection) {
            if ($miechoice->section) {
                $printsection = $miechoice->section;
            }
            if ($currentsection !== "") {
                $table->data[] = 'hr';
            }
            $currentsection = $miechoice->section;
        }
        
        //Calculate the href
        if (!$miechoice->visible) {
            //Show dimmed if the mod is hidden
            $tt_href = "<a class=\"dimmed\" href=\"view.php?id=$miechoice->coursemodule\">".format_string($miechoice->name,true)."</a>";
        } else {
            //Show normal if the mod is visible
            $tt_href = "<a href=\"view.php?id=$miechoice->coursemodule\">".format_string($miechoice->name,true)."</a>";
        }
        if ($course->format == "weeks" || $course->format == "topics") {
            $table->data[] = array ($printsection, $tt_href, $aa);
        } else {
            $table->data[] = array ($tt_href, $aa);
        }
    }
    echo "<br />";
    print_table($table);

    print_footer();
 
?>

