<?php // $Id: general.inc,v 1.9 2006/07/18 18:10:17 mchurch Exp $

# $Id: general.inc,v 1.9 2006/07/18 18:10:17 mchurch Exp $

/// Originated from phpESP:
// Written by James Flemer
// For eGrad2000.com
// <jflemer@alum.rpi.edu>

/// Uses: $sid, $formdata, $questionnaire->usehtmleditor from manage_survey.php

	// load current values from DB if $sid exists (in session)
	if(!empty($sid) && $updated) {
        $survey = get_record('questionnaire_survey', 'id', $sid);
	} else {
		$fields = array('name','owner','realm','title','subtitle','email','theme','thanks_page','thank_head','thank_body','info','public');
        $survey = new Object();
	   	foreach ($fields as $f) {
            if(!empty($formdata->$f)) {
	    	    $survey->$f = trim($formdata->$f);
            } else {
                $survey->$f = '';
            }
        }
        if (empty($survey->theme)) {
        	$survey->theme = 'default.css';
        }
	}
    print_string('generalpage', 'questionnaire');
    echo '<hr />';
    if (isset($error_message)) {
        echo '<font color="red">'.$error_message.'</font><br />';
    }
    $strrequired = get_string('required');
?>
<table width="95%" border="0" cellspacing="0" cellpadding="0">
	<tr valign="top">
		<td><b><?php print_string('name', 'questionnaire'); ?></b></td>
		<td>
            <input type="text" size="20" name="name" maxlength="64" value="<?php p($survey->name); ?>" />
			<font color="#ff0000"><em><?php echo $strrequired; ?></em></font><br>
			<?php
            print_string('surveyfilename', 'questionnaire'); 
            ?></td>
	</tr>
	<tr><td colspan="2"><hr width="90%" size="0" color="#FFFFFF"></td></tr>
	<tr valign="top">
		<td><b><?php print_string('owner', 'questionnaire'); ?></b></td>
		<td><?php

        /// From manage_survey, check if the realm is being set. This is only allowed if
        /// this is the owner of the survey.
            if (isset($formdata->realm) && ($formdata->realm != $survey->realm) &&
                ($courseid == $survey->owner)) {
                $survey->realm = $formdata->realm;
            }

            if (!isset($survey->owner) || empty($survey->owner)) {
                $survey->owner = $courseid;
            }

            echo '<input type="hidden" name="owner" value="'.$survey->owner.'" />';
            echo '<input type="hidden" name="realm" value="'.$survey->realm.'" />';
            if ($survey->owner == $courseid) {
                echo $c_obj->shortname.'&nbsp;/&nbsp;';
            } else if ($csn = get_field('course', 'shortname', 'id', (int)$survey->owner)) {
                echo $csn.'&nbsp;/&nbsp;';
            } else {
                echo get_string('public', 'questionnaire').'&nbsp;/&nbsp;';
            }
            echo get_string($survey->realm, 'questionnaire');
     ?></td>
	</tr>
	<tr><td colspan="2"><hr width="90%" size="0" color="#FFFFFF"></td></tr>
	<tr valign="top">
		<td><b><?php print_string('title', 'questionnaire'); ?></b></td>
		<td>
            <input type="text" size="60" name="title" maxlength="60" value="<?php p($survey->title); ?>" />
			<font color="#ff0000"><em><?php echo $strrequired; ?></em></font><br>
			<?php
            print_string('surveytitle', 'questionnaire'); 
            ?>
		</td>
	</tr>
	<tr><td colspan="2"><hr width="90%" size="0" color="#FFFFFF"></td></tr>
	<tr valign="top">
		<td><b><?php print_string('subtitle', 'questionnaire'); ?></b></td>
		<td>
            <input type="text" size="60" name="subtitle" maxlength="128" value="<?php p($survey->subtitle); ?>" /><br />
			<?php
            print_string('surveysubtitle', 'questionnaire');
            ?>
		</td>
	</tr>
	<tr><td colspan="2"><hr width="90%" size="0" color="#FFFFFF"></td></tr>
	<tr valign="top">
		<td><b><?php print_string('additionalinfo', 'questionnaire'); ?></b></td>
		<td>
            <?php 
               print_textarea($questionnaire->usehtmleditor, 10, 50, 680, 400, 'info', $survey->info);
            ?>
			<?php
            print_string('surveyinfo', 'questionnaire'); 
            ?>
		</td>
	</tr>
	<tr><td colspan="2"><hr width="90%" size="0" color="#FFFFFF"></td></tr>
	<tr valign="top">
		<td><b><?php print_string('confirmationpage', 'questionnaire'); ?></b></td>
		<td>
            <input type="text" size="60" name="thanks_page" maxlength="255" value="<?php p($survey->thanks_page); ?>" />
			&nbsp;(<?php print_string('url', 'questionnaire');?>)<br />
			<?php print_string('redirecturl', 'questionnaire'); ?>
            <input type="text" size="30" name="thank_head" value="<?php p($survey->thank_head); ?>" />
			&nbsp;(<?php print_string('headingtext', 'questionnaire');?>)<br />
            <?php 
               print_textarea($questionnaire->usehtmleditor, 10, 50, 680, 400, 'thank_body', $survey->thank_body);
            ?>
            &nbsp;<?php print_string('bodytext', 'questionnaire');?><br />
 			<?php print_string('confpagedesc', 'questionnaire'); ?>
			</td>
	</tr>
	<tr><td colspan="2"><hr width="90%" size="0" color="#FFFFFF"></td></tr>
	<tr valign="top">
		<td><b><?php print_string('email', 'questionnaire'); ?></b></td>
		<td>
            <input type="text" size="30" name="email" value="<?php p($survey->email); ?>" /><br />
			<?php print_string('sendemail', 'questionnaire'); ?>
            </td>
	</tr>
	<tr><td colspan="2"><hr width="90%" size="0" color="#FFFFFF"></td></tr>
        <tr valign="top">
		<td><b><?php print_string('theme', 'questionnaire');?></b></td>
                <td>
            <?php
			$themes_array = array();
			$dir = dir($ESPCONFIG['css_path']);
				$dir->rewind();
				while ($file=$dir->read()) {
					if (stristr($file,".css")) {
						$pos = strrpos($file, ".");
						$name = substr($file, 0,$pos);
						$themes_array[$file] = $name;
					}
				}
				$dir->close();
            choose_from_menu ($themes_array, 'theme', $survey->theme);
            ?>
			<br /><?php print_string('selecttheme', 'questionnaire');?></td>
        </tr>
</table>
