<?php // $Id: order.inc,v 1.6 2006/03/02 22:37:59 mchurch Exp $

/// Originated from phpESP:
// Written by James Flemer
// For eGrad2000.com
// <jflemer@alum.rpi.edu>

/// Uses: $sid, $formdata from manage_survey.php

    if(empty($formdata->id)) {
        $formdata->id = 0;
    }

    if(isset($formdata->src)) {
    	$src = intval($formdata->src);
    } else {
        $src = 0;
    }

    if (isset($formdata->dst)) {
    	$dst = intval($formdata->dst);
    } else {
        $dst = 0;
    }

    if (isset($formdata->sid)) {
        $sid = $SESSION->questionnaire_survey_id = $formdata->sid;
    } else {
        $sid = $SESSION->questionnaire_survey_id;
    }

    $id = intval($formdata->id);

	if(isset($formdata->addbreak)) {
        $sql = 'SELECT MAX(position) as maxpos FROM '.$CFG->prefix.'questionnaire_question '.
               'WHERE survey_id = '.$sid;
        if ($record = get_record_sql($sql)) {
            $pos = $record->maxpos + 1;
        } else {
            $pos = 1;
        }
        $question = new Object();
        $question->survey_id = $sid;
        $question->type_id = 99;
        $question->position = $pos+1;
        $question->content = 'break';
        insert_record('questionnaire_question', $question);

	} elseif ($src > 0) {
		--$src;
		--$dst;

        $select = 'survey_id='.$sid.' AND deleted=\'N\'';
        if (!($questions = get_records_select('questionnaire_question', $select, 'position', 'id,position'))) {
            $questions = array();
        }
        $max = count($questions);
        $questions = array_values($questions);

		if ($src < $max) {
            $qid = $questions[$src]->id;

			if ($dst < 0) {
				// remove
                set_field('questionnaire_question', 'deleted', 'Y', 'id', $qid, 'survey_id', $sid);

			} elseif (0 <= $dst && $dst < $max && $src != $dst) {
				// move
				if ($max - 1 > $dst) {
					if ($src < $dst)
						// move down
						++$dst;
                    $dst = $questions[$dst]->position;
                    global $CFG;
					$sql = 'UPDATE '.$CFG->prefix.'questionnaire_question SET position=position+1 '.
							'WHERE survey_id='.$sid.' AND position >= '.$dst;
                    execute_sql($sql);
				} else {
                    $dst = ($questions[$max-1]->position)+1;
				}
                set_field('questionnaire_question', 'position', $dst, 'id', $qid, 'survey_id', $sid);
			}
		}
	}

    $select = 'survey_id='.$sid.' AND deleted=\'N\'';
    if (!($questions = 
          get_records_select('questionnaire_question', $select, 'position', 'id,type_id,position,content'))) {
        $questions = array();
    }
    $max = count($questions);
    $sec = $num = 0;
?>
<?php print_string('changeorder', 'questionnaire'); ?>
<hr>
<script language="javascript">
<!-- // comment
  function swap(src, dst) {
    document.phpesp.src.value=src;
    document.phpesp.dst.value=dst+1;
    document.phpesp.submit();
  }
  function remove(src) {
    document.phpesp.src.value=src;
    document.phpesp.dst.value=-1;
    document.phpesp.submit();
  }
  function editq(num) {
    if (document.phpesp.elements[1].name == 'tab') {
        document.phpesp.elements[1].value='Questions';
    }
    else {
      for (i = 1; i <= document.phpesp.elements.length; i++) {
	if (document.phpesp.elements[i].name == 'tab') {
	  document.phpesp.elements[i].value='Questions';
	  break;
	}
      }
    }
    document.phpesp.q.value=num;
    document.phpesp.submit();
	return false;
  }
// comment -->
</script>
<input type="hidden" name="tab" value="">
<input type="hidden" name="src" value="">
<input type="hidden" name="dst" value="">
<input type="hidden" name="q"   value="">
<table>
<?php
    foreach ($questions as $question) {
        $qid = $question->id;
        $tid = $question->type_id;
        $pos = $question->position;
        $content = $question->content;
		$num++;
		$select = '';
		for ( $i = 0; $i < $max; ) {
			$i++;
			if( $i == $num )
				$select .= "<option value=\"$i\" selected=\"selected\">$i</option>\n";
			else
				$select .= "<option value=\"$i\">$i</option>\n";
		}
?>
	<tr>
		<td>
		<select name="pos<?php echo($num); ?>" size="1" onchange="javascript:swap(<?php echo($num); ?>, this.form.pos<?php echo($num); ?>.selectedIndex);">
<?php echo($select); ?>
		</select>
		</td>
		<td>
<?php
			if($tid != 99)
				echo($content);
			else {
				++$sec;
				echo('<b>'.get_string('sectionbreak', 'questionnaire').'</b>');
			}
?>
		</td>
		<td><input type="button" value="<?php print_string('remove', 'questionnaire'); ?>" onclick="javascript:remove(<?php echo($num); ?>);"></td>
		<td><?php if($tid != 99) { ?><input type="button" value="<?php print_string('edit', 'questionnaire'); ?>" onclick="javascript:editq(<?php echo($num-$sec); ?>);"><?php } ?></td>
	</tr>
<?php
		}
?>
</table>
<hr>
<input type="submit" name="addbreak" value="<?php print_string('addsectionbreak', 'questionnaire'); ?>">
