<?php // $Id: print.php,v 1.9 2006/04/29 15:16:11 mchurch Exp $

// Written by James Flemer
// For eGrad2000.com
// <jflemer@alum.rpi.edu>

/* When using the authentication for responses you need to include
 * part of the script *before* your template so that the
 * HTTP Auth headers can be sent when needed.
 *
 * See the handler-prefix.php file for details.
 */

    require_once("../../config.php");
    require_once($CFG->dirroot.'/mod/questionnaire/lib.php');

    $referer = get_referer();
    if ((($referer != $CFG->wwwroot.'/mod/questionnaire/report.php') &&
         ($referer != $CFG->wwwroot.'/mod/questionnaire/view.php')) || empty($_POST)) {
        error('This function cannot be called this way!');
    }
    
    $qid = required_param('qid', PARAM_INT);
    $rid = required_param('rid', PARAM_INT);
    $sec = required_param('sec', PARAM_INT);

    $null = null;

    $questionnaire = new questionnaire($qid, null, $null, $null);
    $status = $questionnaire->survey->status;
    $name = $questionnaire->survey->name;

	$num_sections = count($questionnaire->questionsbysec);
	$msg = '';

    $action = $CFG->wwwroot.'/mod/questionnaire/print.php';
    for ($i=1; $i<=$num_sections; $i++) {
        $questionnaire->response_import_sec($rid, $i, $formdata);
    }

    print_header('Print Survey', '', '', '', '', true, '', '');
    if (!empty($questionnaire->survey->theme)) {
        echo '<link rel="stylesheet" href="'.
        $CFG->wwwroot.'/mod/questionnaire//css/'.$questionnaire->survey->theme.'" type="text/css">'."\n";
    }
?>
<form method="post" name="phpesp_response" action="">
<?php	$questionnaire->survey_print_render($msg, $referer); ?>
<?php
//  Add a 'hidden' variable for the mod's 'view.php', and use a language variable for the submit button.
		if($sec == $num_sections)	{ ?>
    <input type="hidden" name="submittype" value="Submit Survey">
<?php	} ?>
</form>

<?php
    $loggedinas = ''; $homelink = '';
    include ($CFG->dirroot.'/theme/'.$CFG->theme.'/footer.html');
?>