<?php // $Id: questions.inc,v 1.12 2006/03/02 22:37:59 mchurch Exp $

/// Originated from phpESP:
// Written by James Flemer
// For eGrad2000.com
// <jflemer@alum.rpi.edu>

/// Uses: $sid, $formdata, $questionnaire->usehtmleditor from manage_survey.php

    if(empty($formdata->id)) {
        $formdata->id = 0;
    }

    if (isset($formdata->q)) {
        $curr_q = $SESSION->questionnaire_curr_q = $formdata->q;
    } else if (isset($SESSION->questionnaire_curr_q)) {
        $curr_q = $SESSION->questionnaire_curr_q;
    } else {
        $curr_q = 1;
    }

    if (isset($formdata->sid)) {
    	$sid = $SESSION->questionnaire_survey_id = $formdata->sid;
    } else {
        $sid = $SESSION->questionnaire_survey_id;
    }

   	$id = intval($formdata->id);

    if (isset($formdata->type_id)) {
        $formdata->type_id = intval($formdata->type_id) ?
                $formdata->type_id : '';
    } else {
        $formdata->type_id = '';
    }

	// build array of question IDs
    $select = 'survey_id='.$sid.' AND deleted=\'N\' AND type_id != 99';
    if (!($results = get_records_select('questionnaire_question', $select, 'position'))) {
        $results = array();
    }

	$total_num_q = count($results);
	$q_ids = array();
    foreach ($results as $result) {
        $qi = $result->id;
		array_push($q_ids, $qi);
    }

	// update failed, stay on same question
	if(!$updated || isset($formdata->extra_choices)) {
		for ( $q = 0; $q < $total_num_q && $q_ids[$q] != $id ; $q++);
		$formdata->q = ++$q;
		unset($q);
	} else {
		if(empty($formdata->q))
			$formdata->q = $curr_q;
		if($formdata->q == get_string('newfield', 'questionnaire')) {
			$formdata->q = 0;
        }
		if($formdata->q < 0 || $formdata->q > $total_num_q) {
			$formdata->q = 1;
        }
	}
	$curr_q = $formdata->q;

	if($curr_q && isset($q_ids[$curr_q-1])) {
		$curr_q_id = $q_ids[$curr_q-1];
    } else {
		$curr_q_id = 0;
    }

	$fields = array('name','type_id','length','precise','required','content','position');
	if($updated && $total_num_q > 0 && $curr_q) {
		// survey questions exist already
		// load values from DB

        $question = get_record('questionnaire_question', 'id', $curr_q_id, 'deleted', 'N');
        $question = (array)$question;
		foreach($fields as $f) {
			$formdata->$f =& $question[$f];
		}
	} else if ($updated) {
		// adding a new question (possibly because there are no questions yet)
		$curr_q = 0;
		$curr_q_id = '';
		foreach(array('name','length','precise','content','position') as $f) {
			$formdata->$f = '';
		}
	} else {
		foreach($fields as $f) {
            if(empty($formdata->$f)) {
                $formdata->$f = '';
            }
		}
	}
?>
<script language="javascript">
<!-- // comment
function clearTextInputs() {
	var i = 1;
	while (document.phpesp.elements["choice_content_" + i]) {
		document.phpesp.elements["choice_content_" + i].value = "";
		i++;

        }
}
// comment -->
</script>
<center>
	<input type="hidden" name="id" value="<?php echo($curr_q_id); ?>">
	<p>
	<?php print_string('editfield', 'questionnaire'); ?>
	</p>
<?php for($i=1; $i<$total_num_q+1; ++$i) { ?>
	<input type="submit" name="q" value="<?php echo($i); ?>">
<?php } ?>
	<input type="submit" name="q" value="<?php print_string('newfield', 'questionnaire'); ?>">
	<hr>
	<b><?php
		if(!$curr_q) {
			print_string('newfield', 'questionnaire');
		} else {
			print_string('field', 'questionnaire', "$curr_q");
		} ?></b>
	<table border="0">
		<tr>
			<th>&nbsp;</th>
			<th><?php print_string('fieldname', 'questionnaire'); ?></th>
			<th><?php print_string('type', 'questionnaire'); ?></th>
			<th><?php print_string('length', 'questionnaire'); ?></th>
			<th><?php print_string('precision', 'questionnaire'); ?></th>
			<th><?php print_string('required', 'questionnaire'); ?>?</th>
            <th></th>
		</tr><tr>
			<td>&nbsp;</td>
			<td align="center"><input type="text" size="12" name="name" value="<?php p($formdata->name); ?>" /></td>
			<td align="center">
            <?php
				if($updated && empty($formdata->type_id)) {
                    $formdata->type_id = 2;
                }
                $select = 'id != 99';
                if (!($results = get_records_select('questionnaire_question_type', $select, 
                                                    '', 'id,type'))) {
                    $results = array();
                }
				$arr = array();
                foreach ($results as $result) {
                    $key = $result->id;
                    $val = $result->type;
					$arr["$key"] = $val;
				}
                choose_from_menu ($arr, 'type_id', $formdata->type_id);
			?></td>
			<td align="center">
            <?php
				if(empty($formdata->length)) $formdata->length = 0;
			?>
                <input type="text" size="6" name="length" value="<?php p($formdata->length); ?>" />
            </td>
			<td align="center"><?php
				if(empty($formdata->precise)) $formdata->precise = 0;
			?>
                <input type="text" size="6" name="precise" value="<?php p($formdata->precise); ?>" />
            </td>
			<td align="center"><?php
				if(empty($formdata->required)) $formdata->required = 'N';
                choose_from_menu (array("Y" => get_string('yes'), "N" => get_string('no')), 'required', $formdata->required);
				?></td>
            <td> <?php helpbutton("questiontypes", get_string("questiontypes", "questionnaire"), "questionnaire", true, true); ?> </td>
		</tr>
		<tr>
			<th align="left" valign="top">Text</th>
			<td colspan="5" valign="top">
            <?php 
               print_textarea($questionnaire->usehtmleditor, 10, 50, 680, 400, 'content', $formdata->content);
            ?>
            </td>
		</tr>
	</table>
<?php
	// has answer options ... so show that part of the form
	if($curr_q == 0 ||
            empty($formdata->type_id) ||
            (get_field('questionnaire_question_type', 'has_choices', 'id', $formdata->type_id) == 'Y')) {
		include('questions_options.inc');
	}
?>
	<hr>
<?php for($i=1; $i<$total_num_q+1; ++$i) { ?>
	<input type="submit" name="q" value="<?php echo($i); ?>">
<?php } ?>
	<input type="submit" name="q" value="<?php print_string('newfield', 'questionnaire'); ?>">
