-- This file contains a complete database schema for all the
-- tables used by this module, written in SQL

-- It may also contain INSERT statements for particular data
-- that may be used, especially new entries in the table log_display

--
-- Table structure for table scheduler
--
CREATE TABLE prefix_scheduler (
  id bigserial NOT NULL PRIMARY KEY,
  course int8 NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  description text NOT NULL,
  teacher int8 NOT NULL default '0',
  timemodified int8 NOT NULL default '0'
);

--
-- Table structure for table scheduler_slots
--

CREATE TABLE prefix_scheduler_slots (
  id bigserial NOT NULL PRIMARY KEY,
  scheduler int8 NOT NULL default '0',
  starttime int8 NOT NULL default '0',
  duration int8 NOT NULL default '0',
  student int8 NOT NULL default '0',
  reuse int4 default '0',
  attended int2 NOT NULL default '0',
  timemodified int8 NOT NULL default '0'
);
